<?php
require_once ('../../../vi_connect.php'); ##-> Mysql Bağlantısı

$genel_getir=mysql_query("SELECT * FROM genelayarlar WHERE id='1'"); 
$getir=mysql_fetch_array($genel_getir); 
$geayar_surum_yeni = $getir['geayar_surum_yeni'];

?>

<!DOCTYPE html>
<html lang="tr">

<head>
<meta charset="utf-8">
<title>Sistem Güncelleniyor..</title>
<?php
{				
$linkcik = "http://dijitalvi.com/vi-mars/$geayar_surum_yeni.zip";
function dosya_indir($link,$name=null)
{
$link_info = pathinfo($link);  //Yol bilgilerini deðiþkene atýyoruz.
$uzanti = strtolower($link_info['extension']); //Dosyanýn uzantýsýný deðiþkene atýyoruz.
$file = ($name) ? $name.'.'.$uzanti : $link_info['basename'];
$yolcuk = "../guncelleme/".$file; // Dosya/ buradan cektigimiz dosyanin kaydedilecegi yeri seciyoruz, sonunda / isareti olmak zorunda ve klasorun yazma izni (777) olmali.
$curl = curl_init($link);
$fopen = fopen($yolcuk,'w');
curl_setopt($curl, CURLOPT_HEADER,0);
curl_setopt($curl, CURLOPT_RETURNTRANSFER,1);
curl_setopt($curl, CURLOPT_HTTP_VERSION,CURL_HTTP_VERSION_1_0);
curl_setopt($curl, CURLOPT_FILE, $fopen);
curl_exec($curl);
curl_close($curl);
fclose($fopen);
}
dosya_indir($linkcik); 

echo "<center>
<img src='loading.gif' width='250'>
<h3>Güncelleme Dosyaları Yükleniyor.</h3><br>
<font color='red'>Güncelleme devam ediyor ekranı kapatmayınız.</font>
</center>";

require 'modul/ArchiveExtractor.class.php';

/* Init. ArchiveExtractor Object */
$archExtractor=new ArchiveExtractor();

/* Extract */
// -Archive -Path
$extractedFileList=$archExtractor->extractArchive("$geayar_surum_yeni.zip","../guncelleme/"); 

if($extractedFileList){ echo "<meta http-equiv='refresh' content='0;URL=guncelleme2.php'>";}
}?>